# Uses of Interface
org.opensaml.messaging.pipeline.httpclient.HttpClientMessagePipelineFactory

Packages that use HttpClientMessagePipelineFactory
Package
Description
org.opensaml.soap.client.http
SOAP HTTP client functionality.

## Uses of HttpClientMessagePipelineFactory in org.opensaml.soap.client.http

Fields in org.opensaml.soap.client.http declared as HttpClientMessagePipelineFactory
Modifier and Type
Field
Description
`private HttpClientMessagePipelineFactory`
PipelineFactoryHttpSOAPClient.`pipelineFactory`
Factory for the client message pipeline.
Methods in org.opensaml.soap.client.http with parameters of type HttpClientMessagePipelineFactory
Modifier and Type
Method
Description
`void`
PipelineFactoryHttpSOAPClient.`setPipelineFactory(HttpClientMessagePipelineFactory factory)`
Set the message pipeline factory.